net.sf.jasperreports.engine.fill

## Class FillReturnValues

- java.lang.Object
- - net.sf.jasperreports.engine.fill.FillReturnValues

-     public class FillReturnValues
      extends java.lang.Object

  Version:
    $Id: FillReturnValues.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `FillReturnValues.SourceContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FillReturnValues(JRSubreportReturnValue[] values, JRFillObjectFactory factory, JRBaseFiller filler)`
    `FillReturnValues(java.util.List<ReturnValue> values, JRFillObjectFactory factory, JRBaseFiller filler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JRFillSubreportReturnValue` | `addDerivedReturnValue(JRSubreportReturnValue parentReturnValue, java.util.List<JRFillSubreportReturnValue> returnValueList, JRFillObjectFactory factory, JRBaseFiller filler)`
    `protected JRFillSubreportReturnValue` | `addReturnValue(JRFillSubreportReturnValue returnValue, java.util.List<JRFillSubreportReturnValue> returnValueList, JRFillObjectFactory factory, JRBaseFiller filler)`
    `void` | `checkReturnValues(FillReturnValues.SourceContext sourceContext)` Verifies the list of copied values against the subreport.
    `protected void` | `copyValue(JRFillSubreportReturnValue returnValue, FillReturnValues.SourceContext sourceContext)`
    `void` | `copyValues(FillReturnValues.SourceContext sourceContext)` Copies the values from the source to the variables of the master report.
    `protected JRSubreportReturnValue` | `createDistinctCountHelperReturnValue(JRSubreportReturnValue returnValue)`
    `protected JRSubreportReturnValue` | `createHelperReturnValue(JRSubreportReturnValue returnValue, java.lang.String nameSuffix, CalculationEnum calculation)`
    `void` | `saveReturnVariables()`
    `void` | `setBand(JRFillBand band)`
    `boolean` | `usesForReturnValue(java.lang.String variableName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FillReturnValues

          public FillReturnValues(JRSubreportReturnValue[] values,
                          JRFillObjectFactory factory,
                          JRBaseFiller filler)

    - #### FillReturnValues

          public FillReturnValues(java.util.List<ReturnValue> values,
                          JRFillObjectFactory factory,
                          JRBaseFiller filler)

  - ### Method Detail

    - #### addReturnValue

          protected JRFillSubreportReturnValue addReturnValue(JRFillSubreportReturnValue returnValue,
                                                  java.util.List<JRFillSubreportReturnValue> returnValueList,
                                                  JRFillObjectFactory factory,
                                                  JRBaseFiller filler)

    - #### addDerivedReturnValue

          protected JRFillSubreportReturnValue addDerivedReturnValue(JRSubreportReturnValue parentReturnValue,
                                                         java.util.List<JRFillSubreportReturnValue> returnValueList,
                                                         JRFillObjectFactory factory,
                                                         JRBaseFiller filler)

    - #### createHelperReturnValue

          protected JRSubreportReturnValue createHelperReturnValue(JRSubreportReturnValue returnValue,
                                                       java.lang.String nameSuffix,
                                                       CalculationEnum calculation)

    - #### createDistinctCountHelperReturnValue

          protected JRSubreportReturnValue createDistinctCountHelperReturnValue(JRSubreportReturnValue returnValue)

    - #### setBand

          public void setBand(JRFillBand band)

    - #### saveReturnVariables

          public void saveReturnVariables()

    - #### usesForReturnValue

          public boolean usesForReturnValue(java.lang.String variableName)

    - #### copyValues

          public void copyValues(FillReturnValues.SourceContext sourceContext)

      Copies the values from the source to the variables of the master report.

    - #### copyValue

          protected void copyValue(JRFillSubreportReturnValue returnValue,
                       FillReturnValues.SourceContext sourceContext)

    - #### checkReturnValues

          public void checkReturnValues(FillReturnValues.SourceContext sourceContext)
                                 throws JRException

      Verifies the list of copied values against the subreport.
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com